package com.fdage.dao.cust;

import com.fdage.pojo.TbExhibition;
import com.fdage.pojo.TbExhibitionType;
import com.fdage.request.RequestExhibition;
import com.fdage.respon.ResponExhibition;

import java.util.List;

public interface TbExhibitionMapperCust {

    List<ResponExhibition> findCollectionByExhibition(Long id);

    List<ResponExhibition> findList(RequestExhibition bo);

    ResponExhibition getExhibitionByEquipmentId(Long id);

    int updateStateByEquipmentId(Long id);

    List<TbExhibitionType> typeList();

    int addOpenNum(Long id);

    Long exhibitionTotal();

    List<ResponExhibition> findListOrderBy();

}